Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.jdbc20.oci
Class Connection

    java.lang.Object
      |
      +--weblogic.jdbcbase.oci.Connection
            |
            +--weblogic.jdbc20.oci.Connection

public class Connection
extends weblogic.jdbcbase.oci.Connection

This class is documented only for WebLogic extensions to JDBC. For additional information, see the documentation for java.sql.Connection. To use this extension, cast your Connection object as weblogic.jdbc.oci.Connection

Version:
  2.0
Author:
  Copyright (c) 1999 by BEA WebXpress. All Rights Resrved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.oci.Connection
`allowmixedmetadata, driver, insPieceLength, lobs, meta, ociconn, selPieceLength, url, warnings`

Constructor Summary
`Connection(java.util.Properties info)`

Method Summary
`void` | `waitOnResources(boolean val)` Use this method to access the Oracle `oopt()` function for C (see section 4-97 of The OCI Functions for C).

Methods inherited from class weblogic.jdbcbase.oci.Connection
`addLob, autocommitState, checkIfClosed, clearWarnings, close, closeLob, commit, connectionName, connectionState, datewidth, datewidth, driverType, eventState, eventTopicRoot, finalize, getAllConnections, getAutoCommit, getCatalog, getDescription, getName, getNumberOfConnections, getNumberOfStatements, getTransactionIsolation, getWarnings, isClosed, isolationLevel, isReadOnly, lastSQL, nativeSQL, prefetchSize, resourcesQueuing, rollback, setAutoCommit, setCatalog, setLockArrayFetch, setLockBindCursorByPosition, setLockBindSelectItem, setLockBindVariableByPosition, setLockCancel, setLockClose, setLockDescribe, setLockExec, setLockExecAndFetch, setLockFetch, setLockOopt, setLockOpen, setLockParse, setOciVerbose, setReadOnly, setTransactionIsolation, sharedLibVersion, statementCount, supportsPrefetch, weblogicVersion`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Connection

    public Connection(java.util.Properties info)
               throws java.sql.SQLException

Method Detail

### waitOnResources

    public void waitOnResources(boolean val)

  Use this method to access the Oracle `oopt()` function for C (see section 4-97 of The OCI Functions for C). The Oracle C function sets options in cases where requested resources are not available; for example, whether to wait for locks.

  When the argument to this method is true, this WebLogic extension to JDBC sets this option so that your program will receive an error return code whenever a resource is requested but is unavailable. Use of this method can cause several error return codes while waiting for internal resources that are locked for short durations.

  Parameters:
    `val` - True if the connection should wait on resources
  Overrides:
    waitOnResources in class weblogic.jdbcbase.oci.Connection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD